Subject: bug#25337: space after compile-command is a hack

From: [email-masked]
Date: Mon, 02 Jan 2017 16:51:12 -0500

tags 25337 moreinfo
quit

積丹尼 Dan Jacobson <[email-masked]> writes:

> compile-command is a variable defined in ‘compile.el’.
> Its value is "make -k "
>
> You know that trailing space is a hack and shouldn't need to be inserted
> by the user.

I don't understand, the user *doesn't* need to insert it.  They can do
so if they wish...

>
> E.g., I did
> (setq compile-command "make")
> and now I regret it... I'm now going to have to use
> (setq compile-command "make ")

What do you want to be different?